Subject: Re: [DNSOP] MIXFR: Smaller IXFR in the DNSSEC case

From: Bob Harold <[email-masked]>
Date: Mon, 19 Jan 2015 12:43:13 -0500

More comments inline.
-- 
Bob Harold

On Mon, Jan 19, 2015 at 3:50 AM, Matthijs Mekking <[email-masked]>
wrote:

> On 16-01-15 23:04, Bob Harold wrote:
> > There seem to be a lot of "set CLASS to ANY" in the spec.  But I thought
> > that a.b.c class IN was totally unrelated to a.b.c class CHAOS, and
> > deleting or changing one should not affect the other.  Or am I
>
> To clarify: A record with its CLASS set to ANY does *not* mean to
> delete/change the record in all available classes. Note that an XFR is
> encapsulated in SOA records that determine the zone name and class (see
> Figure 2). Only changes in the zone matching that name and class will be
> made.
>
> Thanks for explaining.  I think it would help to mention that somewhere in
the document.

>
> > confused?  And everything in the zone must be in the same CLASS, so can
> > we drop the CLASS completely?
>
> Because everything in the zone must be in the same CLASS, we could drop
> it, bit we cam also reuse the CLASS field to introduce new
> functionality. That is what is being done here.

I only see one place, at the end of 4.1, where it is suggested that CLASS
might be used for something else.  Am I missing something?

Best regards,
>   Matthijs

---

From: Matthijs Mekking <[email-masked]>
Date: Mon, 19 Jan 2015 19:01:24 +0100

On 19-01-15 18:43, Bob Harold wrote:
> More comments inline.
> -- 
> Bob Harold
> 
> 
> On Mon, Jan 19, 2015 at 3:50 AM, Matthijs Mekking
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Thanks for explaining.  I think it would help to mention that somewhere
> in the document.

Okay, I created an issue for this: https://github.com/matje/dynixfr/issues/5

> I only see one place, at the end of 4.1, where it is suggested that
> CLASS might be used for something else.  Am I missing something? 

I am not sure what place you are referring to, but sections 3.4 to 3.7
explain the functionality when CLASS is set to ANY.

Best regards,
  Matthijs